Package org.apache.cayenne

## Class FaultFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cayenne.CayenneRuntimeException
        - - org.apache.cayenne.FaultFailureException

- All Implemented Interfaces:
    `Serializable`

      public class FaultFailureException
      extends CayenneRuntimeException

  A runtime exception thrown when during lazy object initialization Cayenne finds that no matching row exists in the database for a given ObjectId.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FaultFailureException()` |
    `FaultFailureException​(String messageFormat, Object... messageArgs)` |
    `FaultFailureException​(String messageFormat, Throwable cause, Object... messageArgs)` |
    `FaultFailureException​(Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class org.apache.cayenne.CayenneRuntimeException

      `getExceptionLabel, getMessage, getUnlabeledMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FaultFailureException

          public FaultFailureException()

    - #### FaultFailureException

          public FaultFailureException​(String messageFormat,
                                       Object... messageArgs)

    - #### FaultFailureException

          public FaultFailureException​(String messageFormat,
                                       Throwable cause,
                                       Object... messageArgs)

    - #### FaultFailureException

          public FaultFailureException​(Throwable cause)